#
# spec file for package inst-source-utils (Version 2008.11.24)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           inst-source-utils
Url:            http://en.opensuse.org/Inst-source-utils
License:        GPL v2 or later
Group:          System/YaST
AutoReqProv:    on
Obsoletes:      autoyast2-utils <= 2.14.10
Provides:       autoyast2-utils = 2.14.10
Summary:        Utilities for creating customized installation sources
Version:        2008.11.24
Release:        2.1
Source:         inst-source-utils.tar.bz2
Source1:        split.pl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Utilities supporting autoinstallation and creation of customized
installation and update sources.

Have a look at http://en.opensuse.org/Inst-source-utils for a detailed
description of each script.



%prep
%setup -n %{name} -q

%build

%install
install -d -m 755 %{buildroot}/%{_prefix}
cp -a * %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(755,root,root,755)
%_bindir/*
%defattr(644,root,root,755)
%_datadir/%name

%changelog
* Mon Nov 24 2008 ro@suse.de
- update create_package_descr
* Mon Nov 24 2008 lrupp@suse.de
- fix pathnames
* Thu Nov 20 2008 ro@suse.de
- create_package_descr: add -T option for xtags file
  format: "packagename: literal text" so that "literal text"
  will be directly included for the package data
* Thu Nov 13 2008 ro@suse.de
- mk_listings: exclude .cr-cache and .snapshot
* Thu Oct 16 2008 lrupp@suse.de
- create_sha1sums:
  + also put the GPG key in each slideshow directory
* Thu Oct 16 2008 ro@suse.de
- create_package_descr:
  + add "-V" option to also put the vendor for each rpm in
  the generated metadata
* Thu Oct  9 2008 lrupp@suse.de
- quick fix for bnc#409927:
  - create_sha1sums:
    + create SHA1SUM files and sign them in the slideshow directory
  - added create_sha1sum which is a copy of create_md5sums
    (can't use create_sha1sum_s_ as this name is already in use)
- removed NoSource tags
* Mon Jul 21 2008 lrupp@suse.de
- create_directory_yast:
  + add "-f" option to overwrite existing directory.yast files
- create_md5sums:
  + small code cleanups only
- create_package_descr:
  + added option -F (do file list: packages.FL)
  + added option -B (add requires for src packages)
  + fix warning message if -x is not specified (typo)
  + EXTRA_REQUIRES_FILE option switched from -p to -r
- create_repo_for_patch.sh:
  + fix quoting
- create_sha1sums:
  + added option "-x" to add additional meta files in content file
  + beetter check for repomd.xml
  + added "-n" option to skip re-signing
- mk_changelog:
  + small code cleanup
* Fri May 16 2008 ro@suse.de
- patches upstreamed
* Thu May 15 2008 schwab@suse.de
- Fix syntax and quoting bugs.
* Fri Feb  1 2008 lrupp@suse.de
- fix file permissions (fixes bnc#357313 and bnc#351070)
- handle also boot/*/config boot/*/common (create_sha1sums)
- fix path to REPOFILE (create_sha1sums)
* Tue Dec 11 2007 lrupp@suse.de
- added mk_changelog (for add-on creator)
- add fallback mode for createpatch (see #308684)
* Wed Sep 26 2007 ro@suse.de
- remove dependency to createrepo for now
* Wed Sep 26 2007 lrupp@suse.de
- fixes for Bug #308684:
  + require createrepo
  + be more secure in bash
* Tue Jul 17 2007 lrupp@suse.de
- createpatch: use CONFIRMATION_FILE as description to make clear,
  that this creates a confirmation popup for the user (#205534)
* Fri Jul 13 2007 lrupp@suse.de
- create_md5sums:
  + fix typo in usage
- create_package_descr:
  + search data in main package for xxbit packages
  + add license notes as confirmlic so YaST can display them
    even in plain text mode
- create_sha1sums: added to generate the SHA1SUMs in content file
- createpatch:
  + support "license_to_confirm": add an EULA to the patch, read
    from the file specified (see #205534 for details)
  + beautify usage message
  + added @packagelist to condition
- mk_listings:
  + handle whitespaces in directory names
  + use --rsyncable as gzip option: `rsync' program can take
    advantage of similarities during sync over network
  + replace standard Names (CD,DVD,inst-source)
  + use '--nodigest --nosignature' for rpm queries if supported
  + re-create hardlinks from basedir to CD-dir if CD*/*.gz exists
* Tue May 15 2007 ories@suse.de
- added support for adding supplements tag (#262859, #256038)
- added support for overwriting the default freshens value
- fixed one \" escaping typo
- do not delete product.xml
* Thu Mar 15 2007 lrupp@suse.de
- patched copy-sources.sh
* Tue Mar 13 2007 lrupp@suse.de
- fixed source again - fixed script, too
* Fri Mar  9 2007 lrupp@suse.de
- fixed source tarball
* Mon Mar  5 2007 lrupp@suse.de
- add package to SLE10-SP1 tree (#250860)
* Mon Feb 26 2007 lrupp@suse.de
- fixed #214273 :  inst-source-utils perl module in subdir of
  /usr/bin is questionable/ugly
* Thu Oct 19 2006 lrupp@suse.de
- Obsolete only autoyast-utils <= 2.14.6
* Fri Oct 13 2006 lrupp@suse.de
- Initial version
